import request from '@/utils/request'

export function codeValidator(data) {
  return request({
    url: 'patrol/label/codeValidator',
    method: 'post',
    data
  })
}

export function nameValidator(data) {
  return request({
    url: 'patrol/label/nameValidator',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'patrol/label/insert',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'patrol/label/delete',
    method: 'post',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'patrol/label/update',
    method: 'post',
    data
  })
}

export default { add, edit, del }
